using System.ComponentModel;
using System.Xml.Serialization;

namespace EQIA.EQIDL
{
    public partial class StaticHeader : StaticScreenPiece
    {
        private string myTextReference;
        private FrameTemplate myFrameTemplate;

        /// <summary>
        /// Text that will appear in the header
        /// </summary>
        [XmlElement("TextReference", IsNullable = false)]
        [Browsable(true), Description("The text to draw")]
        public string TextReference { get { return myTextReference; } set { myTextReference = value; } }

        /// <summary>
        /// A frame template to use when drawing this
        /// </summary>
        [XmlElement("FrameTemplate", IsNullable = false)]
        [Browsable(true), Description("A header frame to draw that has some text in it (useful for a menu)")]
        public FrameTemplate FrameTemplate { get { return myFrameTemplate; } set { myFrameTemplate = value; } }

        public StaticHeader() : this(null) { }
        public StaticHeader(EQInterface eqInterface) : base(eqInterface) { }

        protected override void SetProperties(object obj)
        {
            base.SetProperties(obj);

            StaticHeader temp_StaticHeader = obj as StaticHeader;
            if (temp_StaticHeader != null)
            {
                TextReference = temp_StaticHeader.TextReference;
                FrameTemplate = temp_StaticHeader.FrameTemplate;
            }
        }
    }
}
